Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.universe.engine
Class UFakeHDSTable

    java.lang.Object
      jet.universe.engine.UFakeHDSTable

All Implemented Interfaces:
  jet.util.Containable

    public class UFakeHDSTable

extends java.lang.Object
implements jet.util.Containable

UFakeHDSTable class provides methods to get information of the tables used by HDS.

Constructor Summary
`UFakeHDSTable(java.lang.String name)`
`UFakeHDSTable(java.lang.String name, UFakeHDSTable parent)`

Method Summary
`void` | `appendColumn(java.lang.String name, java.lang.String fullName, boolean isFldInWhere, int sqlType, java.lang.String format, boolean array, boolean attribute, int colIndex)`
`java.util.Vector` | `getAllCols()` Gets the current table's columns and includes all columns of the sub tables whose attribute property is true.
`boolean` | `getAttrib()` Returns "Attributes" property value which is defined in the table node of HDS data source in the catalog resource tree.
`java.util.Vector` | `getChildren()` Gets all children, including tables and columns.
`java.util.Vector` | `getCols()` Gets the table's columns.
`java.lang.String` | `getFullName()` Gets the table's full name.
`java.util.Vector` | `getRealTabs()` Gets sub tables which does not include the sub tables whose "Attributes" property is true.
`InputStreamFactory` | `getStreamFactory()` Refers to jet.datasource.InputStreamFactory.
`java.lang.String` | `getTableName()` Gets the table's name.
`java.util.Vector` | `getTabs()` Gets all child tables.
`void` | `setAttrib(boolean isAttrib)` Sets "Attributes" property value.
`void` | `setStreamFactory(InputStreamFactory streamFactory)` Refers to jet.datasource.InputStreamFactory.
`void` | `setURI(java.lang.String uri)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UFakeHDSTable

    public UFakeHDSTable(java.lang.String name)

### UFakeHDSTable

    public UFakeHDSTable(java.lang.String name,
                         UFakeHDSTable parent)

Method Detail

### appendColumn

    public void appendColumn(java.lang.String name,
                             java.lang.String fullName,
                             boolean isFldInWhere,
                             int sqlType,
                             java.lang.String format,
                             boolean array,
                             boolean attribute,
                             int colIndex)

### setURI

    public void setURI(java.lang.String uri)

  Parameters:
    `uri` - URI of an XML data resource. This URI reference is as defined by RFC 2396: Uniform Resource Identifiers (URI): Generic Syntax, amended by RFC 2732: Format for Literal IPv6 Addresses in URLs.

### getFullName

    public java.lang.String getFullName()

  Gets the table's full name.

  Returns:
    table's full name, including all the names of its parent tables. Its delimiter is JRHierarchicalDatasetMetaData.PATH_DELIMITER, like "employee.orders.orderid".

### getTableName

    public java.lang.String getTableName()

  Gets the table's name.

  Returns:
    table's name.

### getCols

    public java.util.Vector getCols()

  Gets the table's columns.

  Returns:
    table's columns. Element in this Vector is UFakeHDSColumn.

### getTabs

    public java.util.Vector getTabs()

  Gets all child tables.

  Returns:
    child tables. Element in Vector is UFakeHDSTable.

### getChildren

    public java.util.Vector getChildren()

  Gets all children, including tables and columns.

  Specified by:
    `getChildren` in interface `jet.util.Containable`
  Returns:
    all children.

### setAttrib

    public void setAttrib(boolean isAttrib)

  Sets "Attributes" property value.

  Parameters:
    `isAttrib` - "Attributes" property value which is defined in the table node of HDS data source in the catalog resource tree. If true, it indicates that we will take all columns in this table as the column of the parent table.

### getAttrib

    public boolean getAttrib()

  Returns "Attributes" property value which is defined in the table node of HDS data source in the catalog resource tree. If true, it indicates that we will take all columns in this table as the column of the parent table.

### getAllCols

    public java.util.Vector getAllCols()

  Gets the current table's columns and includes all columns of the sub tables whose attribute property is true.

  Returns:
    table's columns. Element in Vector is UFakeHDSColumn.

### getRealTabs

    public java.util.Vector getRealTabs()

  Gets sub tables which does not include the sub tables whose "Attributes" property is true.

  Returns:
    child tables. Element in Vector is UFakeHDSTable.

### getStreamFactory

    public InputStreamFactory getStreamFactory()

  Refers to jet.datasource.InputStreamFactory.

### setStreamFactory

    public void setStreamFactory(InputStreamFactory streamFactory)

  Refers to jet.datasource.InputStreamFactory.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD